Failed to build llvm 8.0.0 after upgrade gcc to 9.1.0

Yu, Mingli mingli.yu@windriver.com
Tue Jun 11 06:41:00 GMT 2019


Hi Expert,

I encounter a build error for llvm on ppc after upgrade gcc to 9.1.0
  | collect2: fatal error: ld terminated with signal 11 [Segmentation fault]

The linker used here is powerpc-poky-linux-g++.

# powerpc-poky-linux-g++ -v
Using built-in specs.
COLLECT_GCC=powerpc-poky-linux-g++
COLLECT_LTO_WRAPPER=//yocto/builds/upgrade6/tmp/work/ppc7400-poky-linux/llvm/8.0.0-r0/recipe-sysroot-native/usr/bin/powerpc-poky-linux/../../libexec/powerpc-poky-linux/gcc/powerpc-poky-linux/9.1.0/lto-wrapper
Target: powerpc-poky-linux
Configured with: 
../../../../../../work-shared/gcc-9.1.0-r0/gcc-9.1.0/configure 
--build=x86_64-linux --host=x86_64-linux --target=powerpc-poky-linux 
--prefix=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr 
--exec_prefix=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr 
--bindir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/bin/powerpc-poky-linux 
--sbindir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/bin/powerpc-poky-linux 
--libexecdir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/libexec/powerpc-poky-linux 
--datadir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/share 
--sysconfdir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/etc 
--sharedstatedir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/com 
--localstatedir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/var 
--libdir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/lib/powerpc-poky-linux 
--includedir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/include 
--oldincludedir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/include 
--infodir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/share/info 
--mandir=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native/usr/share/man 
--disable-silent-rules --disable-dependency-tracking 
--with-libtool-sysroot=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot-native 
--enable-clocale=generic --with-gnu-ld --enable-shared 
--enable-languages=c,c++ --enable-threads=posix --disable-multilib 
--enable-c99 --enable-long-long --enable-symvers=gnu 
--enable-libstdcxx-pch --program-prefix=powerpc-poky-linux- 
--without-local-prefix --enable-lto --disable-libssp --enable-libitm 
--disable-bootstrap --disable-libmudflap --with-system-zlib 
--with-linker-hash-style=sysv --enable-linker-build-id --with-ppl=no 
--with-cloog=no --enable-checking=release --enable-cheaders=c_global 
--without-isl --with-gxx-include-dir=/not/exist/usr/include/c++/9.1.0 
--with-sysroot=/not/exist 
--with-build-sysroot=//yocto/builds/upgrade6/tmp/work/x86_64-linux/gcc-cross-powerpc/9.1.0-r0/recipe-sysroot 
--enable-secureplt --with-long-double-128 --enable-targets=powerpc64 
--enable-poison-system-directories --with-system-zlib --disable-static 
--disable-nls --with-glibc-version=2.28 --enable-initfini-array 
--enable-__cxa_atexit
Thread model: posix
gcc version 9.1.0 (GCC)


Any hints here?

Thanks,



More information about the Gcc-patches mailing list